import 'package:flutter/material.dart';
import 'package:tengits_widgets/tengits_widgets.dart';

class TLListItemEvent {
  const TLListItemEvent({
    this.onTap,
    this.onLeadingTap,
    this.onTrailingTap,
    this.textFieldEvent,
  });

  /// TLListItem 点击事件
  final GestureTapCallback? onTap;

  /// 左 Builder 点击事件
  final GestureTapCallback? onLeadingTap;

  /// 右 Builder 点击事件
  final GestureTapCallback? onTrailingTap;

  /// TLTextField 事件
  final TLTextFieldEvent? textFieldEvent;
}
