import 'package:flutter/material.dart';

class TLOperatorCardEvent {
  const TLOperatorCardEvent({
    this.onTap,
    this.onTitleContentTap,
    this.onLeadingTap,
    this.onTrailingTap,
    this.onLabelContentTap,
    this.onContentTap,
  });

  /// OperatorCard 点击事件
  final GestureTapCallback? onTap;

  /// 标题Builder 点击事件
  final GestureTapCallback? onTitleContentTap;

  /// 左Builder 点击事件
  final GestureTapCallback? onLeadingTap;

  /// 右Builder 点击事件
  final GestureTapCallback? onTrailingTap;

  /// 下划线上面Builder 点击事件
  final GestureTapCallback? onLabelContentTap;

  /// 下划线下面Builder 点击事件
  final GestureTapCallback? onContentTap;
}
