import 'package:flutter/material.dart';

typedef OperatorCardBuilder = Widget? Function(BuildContext context);

class TLOperatorCardBuilders {
  const TLOperatorCardBuilders({
    this.titleContent,
    this.leading,
    this.trailing,
    this.labelContent,
    this.content,
  });

  /// 标题自定义Builder 可以设置高度、宽度
  final OperatorCardBuilder? titleContent;

  /// 左自定义Builder 可以设置高度、宽度
  final OperatorCardBuilder? leading;

  /// 右自定义Builder 可以设置高度、宽度
  final OperatorCardBuilder? trailing;

  /// 下划线上面自定义Builder 可以设置高度、宽度
  final OperatorCardBuilder? labelContent;

  /// 下划线下面自定义Builder 可以设置高度、宽度
  final OperatorCardBuilder? content;
}
