import 'package:flutter/material.dart';

typedef ListItemBuilder = Widget? Function(BuildContext context);

class TLListItemBuilders {
  const TLListItemBuilders({
    this.leading,
    this.content,
    this.trailing,
  });

  /// 左自定义Builder 需要设置高度
  final ListItemBuilder? leading;

  /// 中自定义Builder 需要设置高度
  final ListItemBuilder? content;

  /// 由自定义Builder 需要设置高度、宽度
  final ListItemBuilder? trailing;
}
